<html>
    <head></head>
    <body>
        <input type="number" id="num">
        <button id="btn">введите первое число</button>
        <p id="myResult"></p>

        <script>
             let btnRez = document.getElementById('btn');
             let a = null;// изначальное состояние нулл
             let b = null;

             btnRez.onclick = function(){
                const x = parseInt(document.getElementById('num').value);
                if(a==null){
                    a = x;
                    btnRez.innerHTML='введите второе число';
                }
                else {
                    b = x;
                    btnRez.innerHTML='введите первое число';
                    
                    var resultText = "";
                    if(a>b){
                        resultText = "Первое число - " + a + " Больше второго " + b;
                    }else if(a<b){
                        resultText = "второе число - " + b + " Больше Первого " + a;
                    }else{
                        resultText = "Оба равны";
                    }

                    document.getElementById('myResult').innerHTML=resultText;
                    btnRez.innerHTML='введите первое число';
                    a = null;
                    b = null;
                }
                document.getElementById('num').value = null;
                
             }
           
        </script>
    </body>
</html>